commit c6030c2655315c97165f1c6fb3122b5ba8c13006
Author: Jade Koskela <jkoskela@tableausoftware.com>
Date:   Tue Aug 26 14:21:23 2014 -0700

    Add null check to QR_NumResultCols macro.

diff --git a/qresult.h b/qresult.h
index 8a9315e..f0f31cb 100644
--- a/qresult.h
+++ b/qresult.h
@@ -134,7 +134,7 @@ enum {
 #define QR_get_value_backend_int(self, tupleno, fieldno, isNull) atoi(QR_get_value_backend_row(self, tupleno, fieldno))
 
 /*	These functions are used by both manual and backend results */
-#define QR_NumResultCols(self)		(CI_get_num_fields(self->fields))
+#define QR_NumResultCols(self)		(self->fields ? CI_get_num_fields(self->fields) : 0)
 #define QR_NumPublicResultCols(self)	(QR_haskeyset(self) ? (CI_get_num_fields(self->fields) - self->num_key_fields) : CI_get_num_fields(self->fields))
 #define QR_get_fieldname(self, fieldno_)	(CI_get_fieldname(self->fields, fieldno_))
 #define QR_get_fieldsize(self, fieldno_)	(CI_get_fieldsize(self->fields, fieldno_))
